<template>
  <div class="game-block">
    <div class="game-block__image">
      <img :src="image" alt="">
    </div>
    <div class="game-block__title">
      {{ title }}
    </div>
    <div class="game-block__played">
      {{ played }}
    </div>
  </div>
</template>

<script>
    export default {
        name: "SmallGameBlock",
        props: ['title', 'image', 'played', 'frame', 'favorite']
    }
</script>

<style lang="sass" scoped>
  .game-block
    display: inline-block
    padding: 10px
    width: rem(290)
    height: rem(100)
    background-color: rgb(33, 97, 255)
    border-radius: 10px
    text-align: left
    margin-bottom: 10px
    cursor: pointer
    
    &:hover
      box-shadow: 0 4px 42px rgba(65, 65, 65, 0.12)
    
    &__image
      display: inline-block
      float: left
      width: rem(80)
      height: rem(80)
      border-radius: 10px
      overflow: hidden
      
      img
        height: 100%
    
    &__title
      display: inline-block
      margin: 5px 10px
      width: rem(160)
      font-size: rem(15)
      line-height: rem(18)
      color: $whiteText
      font-family: $mainFont
      font-weight: 400
      text-align: left
    
    &__played
      display: inline-block
      width: rem(160)
      color: $whiteText
      font-family: $mainFont
      font-size: rem(14)
      font-weight: 200
      line-height: rem(20)
      text-align: left
      margin-left: 10px
      
      &:before
        content: ''
        display: inline-block
        width: 10px
        height: 10px
        margin-right: 5px
        background-image: url("../assets/img/svg/main/triangle_blue.svg")
        background-size: cover
</style>